Package oasis.names.tc.dss._1_0.core.schema

# Class IncludeObject

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.IncludeObject

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class IncludeObject extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="WhichDocument" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
           <attribute name="hasObjectTagsAndAttributesSet" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="ObjId" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="createReference" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncludeObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getObjId()`
  Gets the value of the objId property.
  `Object`
  `getWhichDocument()`
  Gets the value of the whichDocument property.
  `boolean`
  `isCreateReference()`
  Gets the value of the createReference property.
  `boolean`
  `isHasObjectTagsAndAttributesSet()`
  Gets the value of the hasObjectTagsAndAttributesSet property.
  `void`
  `setCreateReference(Boolean value)`
  Sets the value of the createReference property.
  `void`
  `setHasObjectTagsAndAttributesSet(Boolean value)`
  Sets the value of the hasObjectTagsAndAttributesSet property.
  `void`
  `setObjId(String value)`
  Sets the value of the objId property.
  `void`
  `setWhichDocument(Object value)`
  Sets the value of the whichDocument property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IncludeObject

    public IncludeObject()

- ## Method Details

  - ### getWhichDocument

    public Object getWhichDocument()
    Gets the value of the whichDocument property.
    Returns:
      possible object is `Object`

  - ### setWhichDocument

    public void setWhichDocument(Object value)
    Sets the value of the whichDocument property.
    Parameters:
      `value` - allowed object is `Object`

  - ### isHasObjectTagsAndAttributesSet

    public boolean isHasObjectTagsAndAttributesSet()
    Gets the value of the hasObjectTagsAndAttributesSet property.
    Returns:
      possible object is `Boolean`

  - ### setHasObjectTagsAndAttributesSet

    public void setHasObjectTagsAndAttributesSet(Boolean value)
    Sets the value of the hasObjectTagsAndAttributesSet property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getObjId

    public String getObjId()
    Gets the value of the objId property.
    Returns:
      possible object is `String`

  - ### setObjId

    public void setObjId(String value)
    Sets the value of the objId property.
    Parameters:
      `value` - allowed object is `String`

  - ### isCreateReference

    public boolean isCreateReference()
    Gets the value of the createReference property.
    Returns:
      possible object is `Boolean`

  - ### setCreateReference

    public void setCreateReference(Boolean value)
    Sets the value of the createReference property.
    Parameters:
      `value` - allowed object is `Boolean`